﻿using System.Collections.Generic;
using System.Threading.Tasks;
using VCinemaApi.Models;

namespace VCinemaApi.Repositories
{
    public interface IWatcherRepository
    {
        Task<List<Watcher>> GetWatchersByScreenId(int screenId);
        Task<Watcher> GetWatcherByConnectionId(string connectionId);
        Task CreateWatcher(string connectionId);
        Task DeleteWatcher(string connectionId);
    }
}
